=== modified file 'multifit/gsl_multifit.h'
--- multifit/gsl_multifit.h	2013-03-30 20:12:56 +0000
+++ multifit/gsl_multifit.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_matrix.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -125,6 +125,6 @@
 gsl_multifit_linear_residuals (const gsl_matrix *X, const gsl_vector *y,
                                const gsl_vector *c, gsl_vector *r);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MULTIFIT_H */

=== modified file 'multifit/gsl_multifit_nlin.h'
--- multifit/gsl_multifit_nlin.h	2013-03-30 20:12:56 +0000
+++ multifit/gsl_multifit_nlin.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_matrix.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_multifit_gradient (const gsl_matrix * J, const gsl_vector * f,
                            gsl_vector * g);
@@ -167,6 +167,6 @@
 GSL_VAR const gsl_multifit_fdfsolver_type * gsl_multifit_fdfsolver_lmsder;
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MULTIFIT_NLIN_H */

=== modified file 'multimin/gsl_multimin.h'
--- multimin/gsl_multimin.h	2013-03-30 20:12:56 +0000
+++ multimin/gsl_multimin.h	2013-03-30 20:59:11 +0000
@@ -30,17 +30,17 @@
 #include <gsl/gsl_matrix.h>
 #include <gsl/gsl_min.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Definition of an arbitrary real-valued function with gsl_vector input and */
 /* parameters */
@@ -221,6 +221,6 @@
 GSL_VAR const gsl_multimin_fminimizer_type *gsl_multimin_fminimizer_nmsimplex2;
 GSL_VAR const gsl_multimin_fminimizer_type *gsl_multimin_fminimizer_nmsimplex2rand;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MULTIMIN_H */

=== modified file 'multiroots/gsl_multiroots.h'
--- multiroots/gsl_multiroots.h	2013-03-30 20:12:56 +0000
+++ multiroots/gsl_multiroots.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_matrix.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Definition of vector-valued functions with parameters based on gsl_vector */
 
@@ -172,6 +172,6 @@
 GSL_VAR const gsl_multiroot_fdfsolver_type * gsl_multiroot_fdfsolver_hybridsj;
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MULTIROOTS_H */

=== modified file 'multiset/gsl_multiset.h'
--- multiset/gsl_multiset.h	2013-03-30 20:12:56 +0000
+++ multiset/gsl_multiset.h	2013-03-30 20:59:11 +0000
@@ -28,17 +28,17 @@
 #include <gsl/gsl_inline.h>
 #include <gsl/gsl_check_range.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_multiset_struct
 {
@@ -88,6 +88,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MULTISET_H */

=== modified file 'ntuple/gsl_ntuple.h'
--- ntuple/gsl_ntuple.h	2013-03-30 20:12:56 +0000
+++ ntuple/gsl_ntuple.h	2013-03-30 20:59:11 +0000
@@ -28,17 +28,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_histogram.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct {
     FILE * file;
@@ -73,7 +73,7 @@
 
 int gsl_ntuple_close (gsl_ntuple * ntuple);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_NTUPLE_H */
 

=== modified file 'ode-initval/gsl_odeiv.h'
--- ode-initval/gsl_odeiv.h	2013-03-30 20:12:56 +0000
+++ ode-initval/gsl_odeiv.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Description of a system of ODEs.
@@ -225,6 +225,6 @@
 void gsl_odeiv_evolve_free(gsl_odeiv_evolve * e);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_ODEIV_H */

=== modified file 'ode-initval2/gsl_odeiv2.h'
--- ode-initval2/gsl_odeiv2.h	2013-03-30 20:12:56 +0000
+++ ode-initval2/gsl_odeiv2.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS          /* empty */
-# define __END_DECLS            /* empty */
+# define GSL_BEGIN_DECLS          /* empty */
+# define GSL_END_DECLS            /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 /* Description of a system of ODEs.
  *
  * y' = f(t,y) = dydt(t, y)
@@ -329,5 +329,5 @@
 int gsl_odeiv2_driver_reset_hstart (gsl_odeiv2_driver * d, const double hstart);
 void gsl_odeiv2_driver_free (gsl_odeiv2_driver * state);
 
-__END_DECLS
+GSL_END_DECLS
 #endif /* GSL_ODEIV2_H */

=== modified file 'permutation/gsl_permutation.h'
--- permutation/gsl_permutation.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permutation.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_inline.h>
 #include <gsl/gsl_check_range.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_permutation_struct
 {
@@ -95,6 +95,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTATION_H */

=== modified file 'permutation/gsl_permute_char.h'
--- permutation/gsl_permute_char.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_char.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_char (const size_t * p, char * data, const size_t stride, const size_t n);
 int gsl_permute_char_inverse (const size_t * p, char * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_CHAR_H */

=== modified file 'permutation/gsl_permute_complex_double.h'
--- permutation/gsl_permute_complex_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_complex_double.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_complex (const size_t * p, double * data, const size_t stride, const size_t n);
 int gsl_permute_complex_inverse (const size_t * p, double * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_COMPLEX_DOUBLE_H */

=== modified file 'permutation/gsl_permute_complex_float.h'
--- permutation/gsl_permute_complex_float.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_complex_float.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_complex_float (const size_t * p, float * data, const size_t stride, const size_t n);
 int gsl_permute_complex_float_inverse (const size_t * p, float * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_COMPLEX_FLOAT_H */

=== modified file 'permutation/gsl_permute_complex_long_double.h'
--- permutation/gsl_permute_complex_long_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_complex_long_double.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_complex_long_double (const size_t * p, long double * data, const size_t stride, const size_t n);
 int gsl_permute_complex_long_double_inverse (const size_t * p, long double * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_COMPLEX_LONG_DOUBLE_H */

=== modified file 'permutation/gsl_permute_double.h'
--- permutation/gsl_permute_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_double.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute (const size_t * p, double * data, const size_t stride, const size_t n);
 int gsl_permute_inverse (const size_t * p, double * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_DOUBLE_H */

=== modified file 'permutation/gsl_permute_float.h'
--- permutation/gsl_permute_float.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_float.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_float (const size_t * p, float * data, const size_t stride, const size_t n);
 int gsl_permute_float_inverse (const size_t * p, float * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_FLOAT_H */

=== modified file 'permutation/gsl_permute_int.h'
--- permutation/gsl_permute_int.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_int.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_int (const size_t * p, int * data, const size_t stride, const size_t n);
 int gsl_permute_int_inverse (const size_t * p, int * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_INT_H */

=== modified file 'permutation/gsl_permute_long.h'
--- permutation/gsl_permute_long.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_long.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_long (const size_t * p, long * data, const size_t stride, const size_t n);
 int gsl_permute_long_inverse (const size_t * p, long * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_LONG_H */

=== modified file 'permutation/gsl_permute_long_double.h'
--- permutation/gsl_permute_long_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_long_double.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_long_double (const size_t * p, long double * data, const size_t stride, const size_t n);
 int gsl_permute_long_double_inverse (const size_t * p, long double * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_LONG_DOUBLE_H */

=== modified file 'permutation/gsl_permute_short.h'
--- permutation/gsl_permute_short.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_short.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_short (const size_t * p, short * data, const size_t stride, const size_t n);
 int gsl_permute_short_inverse (const size_t * p, short * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_SHORT_H */

=== modified file 'permutation/gsl_permute_uchar.h'
--- permutation/gsl_permute_uchar.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_uchar.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_uchar (const size_t * p, unsigned char * data, const size_t stride, const size_t n);
 int gsl_permute_uchar_inverse (const size_t * p, unsigned char * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_UCHAR_H */

=== modified file 'permutation/gsl_permute_uint.h'
--- permutation/gsl_permute_uint.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_uint.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_uint (const size_t * p, unsigned int * data, const size_t stride, const size_t n);
 int gsl_permute_uint_inverse (const size_t * p, unsigned int * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_UINT_H */

=== modified file 'permutation/gsl_permute_ulong.h'
--- permutation/gsl_permute_ulong.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_ulong.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_ulong (const size_t * p, unsigned long * data, const size_t stride, const size_t n);
 int gsl_permute_ulong_inverse (const size_t * p, unsigned long * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_ULONG_H */

=== modified file 'permutation/gsl_permute_ushort.h'
--- permutation/gsl_permute_ushort.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_ushort.h	2013-03-30 20:59:11 +0000
@@ -24,21 +24,21 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_ushort (const size_t * p, unsigned short * data, const size_t stride, const size_t n);
 int gsl_permute_ushort_inverse (const size_t * p, unsigned short * data, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_USHORT_H */

=== modified file 'permutation/gsl_permute_vector_char.h'
--- permutation/gsl_permute_vector_char.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_char.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_char.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_char (const gsl_permutation * p, gsl_vector_char * v);
 int gsl_permute_vector_char_inverse (const gsl_permutation * p, gsl_vector_char * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_CHAR_H */

=== modified file 'permutation/gsl_permute_vector_complex_double.h'
--- permutation/gsl_permute_vector_complex_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_complex_double.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_complex_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_complex (const gsl_permutation * p, gsl_vector_complex * v);
 int gsl_permute_vector_complex_inverse (const gsl_permutation * p, gsl_vector_complex * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_COMPLEX_DOUBLE_H */

=== modified file 'permutation/gsl_permute_vector_complex_float.h'
--- permutation/gsl_permute_vector_complex_float.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_complex_float.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_complex_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_complex_float (const gsl_permutation * p, gsl_vector_complex_float * v);
 int gsl_permute_vector_complex_float_inverse (const gsl_permutation * p, gsl_vector_complex_float * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_COMPLEX_FLOAT_H */

=== modified file 'permutation/gsl_permute_vector_complex_long_double.h'
--- permutation/gsl_permute_vector_complex_long_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_complex_long_double.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_complex_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_complex_long_double (const gsl_permutation * p, gsl_vector_complex_long_double * v);
 int gsl_permute_vector_complex_long_double_inverse (const gsl_permutation * p, gsl_vector_complex_long_double * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_COMPLEX_LONG_DOUBLE_H */

=== modified file 'permutation/gsl_permute_vector_double.h'
--- permutation/gsl_permute_vector_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_double.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector (const gsl_permutation * p, gsl_vector * v);
 int gsl_permute_vector_inverse (const gsl_permutation * p, gsl_vector * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_DOUBLE_H */

=== modified file 'permutation/gsl_permute_vector_float.h'
--- permutation/gsl_permute_vector_float.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_float.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_float (const gsl_permutation * p, gsl_vector_float * v);
 int gsl_permute_vector_float_inverse (const gsl_permutation * p, gsl_vector_float * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_FLOAT_H */

=== modified file 'permutation/gsl_permute_vector_int.h'
--- permutation/gsl_permute_vector_int.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_int.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_int.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_int (const gsl_permutation * p, gsl_vector_int * v);
 int gsl_permute_vector_int_inverse (const gsl_permutation * p, gsl_vector_int * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_INT_H */

=== modified file 'permutation/gsl_permute_vector_long.h'
--- permutation/gsl_permute_vector_long.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_long.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_long.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_long (const gsl_permutation * p, gsl_vector_long * v);
 int gsl_permute_vector_long_inverse (const gsl_permutation * p, gsl_vector_long * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_LONG_H */

=== modified file 'permutation/gsl_permute_vector_long_double.h'
--- permutation/gsl_permute_vector_long_double.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_long_double.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_long_double (const gsl_permutation * p, gsl_vector_long_double * v);
 int gsl_permute_vector_long_double_inverse (const gsl_permutation * p, gsl_vector_long_double * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_LONG_DOUBLE_H */

=== modified file 'permutation/gsl_permute_vector_short.h'
--- permutation/gsl_permute_vector_short.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_short.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_short.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_short (const gsl_permutation * p, gsl_vector_short * v);
 int gsl_permute_vector_short_inverse (const gsl_permutation * p, gsl_vector_short * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_SHORT_H */

